export interface ContainerControllerOptions {
    gqlURN: string;
    network: string;
    handlersHash?: any;
}
export interface NewContainerOptions {
    handler: string;
    code: string;
    jwt: string;
    data: any;
    forceName?: string;
    forcePort?: number;
    forceRestart?: boolean;
    publish?: boolean;
}
export interface InitOptions {
    port: number;
}
export interface Container {
    name?: string;
    host?: string;
    port?: number;
    error?: string;
}
export interface CallOptions {
    code: string;
    jwt: string;
    data: any;
    container: Container;
}
export declare const runnerControllerOptionsDefault: ContainerControllerOptions;
export declare class ContainerController {
    gqlURN: string;
    network: string;
    docker: number;
    handlersHash: {
        [id: string]: Container;
    };
    constructor(options?: ContainerControllerOptions);
    newContainer(options: NewContainerOptions): Promise<Container>;
    findContainer(containerName: string): Promise<Container>;
    _dropContainer(containerName: string): Promise<string>;
    dropContainer(container: Container): Promise<void>;
    initHandler(container: Container): Promise<{
        error?: string;
    }>;
    callHandler(options: CallOptions): Promise<{
        error?: string;
    }>;
}
